#!/bin/bash
# Example for two class intervals

# Perform class disctretization 
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ModelBuilding -fold 5 -repeat 10 -boot 100 -NumClasses 2 -LearningFile ARIraw.csv


# Perform LOOCV CFS after choosing 1500 as the unique cut-point
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ConsensualCFS -SetClassDiscretization 1500 -LearningFile ARIraw.csv


# Validate Model Building including class discretization
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ModelValidation -fold 5 -repeat 10 -boot 100 -NumClasses 2 -LearningFile ARIraw.csv





# Example for three class intervals

# Perform class disctretization 
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ModelBuilding -fold 5 -repeat 10 -boot 100 -NumClasses 3 -LearningFile ARIraw.csv


# Perform LOOCV CFS after choosing 1500 and 3000 cut-points
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ConsensualCFS -SetClassDiscretization 1500,3000 -LearningFile ARIraw.csv


# Validate Model Building including class discretization
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ModelValidation -fold 5 -repeat 10 -boot 100 -NumClasses 3 -LearningFile ARIraw.csv






# Example where the end-user specifies the discretization point

# Perform LOOCV CFS after choosing 1500 as the unique cut-point
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ConsensualCFS -SetClassDiscretization 1500 -LearningFile ARIraw.csv


# Validate Model Building
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ModelValidation -fold 5 -repeat 10 -boot 100 -LearningFile ARIraw.csv







# Example where the provided dataset has the class variable already discretized

# Perform LOOCV CFS after choosing 1500 as the unique cut-point
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ConsensualCFS -SetClassDiscretization 1500 -LearningFile ARIrawDiscret.csv


# Validate Model Building
java -Xmx1800M -classpath .;weka.jar;RecruitmentPredictionV9.jar MainProgram -verbose -ModelValidation -fold 5 -repeat 10 -boot 100 -LearningFile ARIrawDiscret.csv
