/*Copyright (c) 2008 Jose Antonio Fernandes Salvador (AZTI-Tecnalia).
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import java.util.*; 

public class CutPointSet {
  public ArrayList listPoints= new ArrayList();   // List of double with the cutpoint
//  public ArrayList listPerformanceE0;   // List of Evaluation objects for error 0, one element for each iteration or boot
 // public ArrayList listPerformanceER;   // List of Evaluation objects for error r
  public ArrayList listFSS=new ArrayList();            // List of CFS subset selected,it has a list of objects of tipe SubsetConsensual 
  //public ArrayList listFayyadEntropy; // List of entropies
  public double dFayyadEntropy=0;
  public double dAccuracyE0=0;
  public double dAccuracyER=0;
  
  public double dBrierScoreE0=0;
  public double dBrierScoreER=0;
  
  // Probably they should be a array, a position for each class with a separated class with the measures
  public double[] dTPE0;
  public double[] dTPER;
  public double[] dROCE0;
  public double[] dROCER;
  public double[] dFmeasureE0;
  public double[] dFmeasureER;
  public double[] dRecallE0;
  public double[] dRecallER;
  public double[] dPrecisionE0;
  public double[] dPrecisionER;
  
  
  public double [] arrClassPriors; // It gets initialized with the first performance adding
  public int iNumPerformances =0;
  public int[] iNumRocE0;
  public int[] iNumRocER;
  
  public double dRootMeanSquareErrorE0=0;
  public double dRootMeanSquareErrorER=0;
  
  public double dRelativeAbsoluteErrorE0=0;
  public double dRelativeAbsoluteErrorER=0;
  
  public double dRootMeanPriorSquaredErrorE0=0;
  public double dRootMeanPriorSquaredErrorER=0;
  
  public double dRootRelativeSquaredErrorE0=0;
  public double dRootRelativeSquaredErrorER=0;
  
  public double dKBRelatieveInformationE0=0;
  public double dKBRelatieveInformationER=0;
  
  public double dKBInformationE0=0;
  public double dKBInformationER=0;
  
  public double dKBMeanInformationE0=0;
  public double dKBMeanInformationER=0;
  
  public double dKappaE0=0;
  public double dKappaER=0;
  
  
  public CutPointSet(int NumClasses){
	  dTPE0 = new double[NumClasses];
	  dTPER = new double[NumClasses];
	  dROCE0 = new double[NumClasses];
	  dROCER = new double[NumClasses];
	  dFmeasureE0 = new double[NumClasses];
	  dFmeasureER = new double[NumClasses];
	  dRecallE0 = new double[NumClasses];
	  dRecallER = new double[NumClasses];
	  dPrecisionE0 = new double[NumClasses];
	  dPrecisionER = new double[NumClasses];
	  iNumRocE0 = new int[NumClasses];
	  iNumRocER = new int[NumClasses];
	  arrClassPriors = new double[NumClasses];
	  
	  //listPoints= new ArrayList();
	  //listPerformanceE0= new ArrayList();
	  //listPerformanceER= new ArrayList();
	  //listFSS= new ArrayList();
	  //listFayyadEntropy= new ArrayList();
  }

  public boolean equals(Object o) {
	 
	  CutPointSet otroSubset = (CutPointSet) o;
	  
	  boolean bResult = true;
	  
	  Iterator iter = listPoints.iterator();
	  Iterator iter2 = otroSubset.listPoints.iterator();
		while (iter.hasNext()) {
			if (iter2.hasNext()) {
				if (!((Double) iter.next()).equals(((Double) iter2.next()))) bResult = false;
			} else {
				bResult = false;
			}
		}

	  return bResult;
  }

/*
  public int compareTo(Object o) {
	  CutPointSet otroSubset = (CutPointSet) o;
	    //podemos hacer esto porque String implementa Comparable
	  	int iComparar =0;
	  	String sComparacion = "";
	  	
	  	
	  	Iterator iter = listPoints.iterator();
		  Iterator iter2 = otroSubset.listPoints.iterator();
			while (iter.hasNext()) {
				if (iter2.hasNext()) {
					if (((Double) iter.next())>((Double) iter2.next())){
						iComparar = 1;			
					}
					else {
						iComparar = 0;	
					}
					
				}
				iCalificator = iCalificator / 100;
			}
	  
	    return (int)((otroSubset.getSelectedCounts()- iSelectedCounts)*1000);
	  }*/
}
