/*Copyright (c) 2008 Jose Antonio Fernandes Salvador (AZTI-Tecnalia).
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
import java.util.*; 

public class CutPointSetPredictor implements Comparable {
  public ArrayList listPoints;  // List of double with the cutpoint
  public int countSelected;
  
  public CutPointSetPredictor(double[] cutPoints){
	  listPoints= new ArrayList(); 
	  countSelected =1;
	  for (int i=0;i<cutPoints.length;i++) 
		  listPoints.add(new Double(cutPoints[i]));
  }
  
  
  public CutPointSetPredictor(ArrayList cutPoints) {
	  listPoints= cutPoints;
	  countSelected =0;
	  
  }


public boolean equals(Object o) {
	  if (this == o) {
	  return true;
	  }
	  if (o == null || getClass() != o.getClass()) {
	  return false;
	  }

	  final CutPointSetPredictor otroPointset = (CutPointSetPredictor) o;

	  return !(listPoints != null ? !listPoints.toString().equals(otroPointset.listPoints.toString()) :
		  otroPointset.listPoints.toString() != null);
 }

  public int hashCode() {
	  return (listPoints.toString() != null ? listPoints.toString().hashCode() : 0);
  }
  
  public int compareTo(Object o) {
	  CutPointSetPredictor otroSubset = (CutPointSetPredictor) o;
	    //podemos hacer esto porque String implementa Comparable
	    return (int)((otroSubset.countSelected- countSelected)*1000);
	  }
}
