/*Copyright (c) 2008 Jose Antonio Fernandes Salvador (AZTI-Tecnalia).
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import java.util.*;

public class SubsetConsensual implements Comparable {
  private String sSubsetNames;
  private int iSelectedCounts;
  private double dMerit; 
  public ArrayList[] arrDiscretizationPoints; // It is a vector, each position has all posible discretizations of a predictor
  
  SubsetConsensual(String sSubsetNames,int [] arrSubsetIndexesArray, int iSelectedCounts, double dMerit, ArrayList[] listPredictorsDiscretization) {
    this.sSubsetNames = sSubsetNames;
    this.iSelectedCounts = iSelectedCounts;
    this.dMerit = dMerit;
    
    this.arrDiscretizationPoints = new ArrayList[arrSubsetIndexesArray.length-1];
    
    // Copy only discretization of the selected features
    for (int i=0;i<arrSubsetIndexesArray.length-1;i++) arrDiscretizationPoints[i]=listPredictorsDiscretization[arrSubsetIndexesArray[i]];
    
  }

  public String getSubsetNames() {
    return sSubsetNames;
  }

  public void setSubsetNames(String sSubset) {
	  this.sSubsetNames = sSubset;
  }
   
  public void setSelectedCounts(int  iSelectedCounts) {
	  this.iSelectedCounts = iSelectedCounts;
  }
  
  public int getSelectedCounts() {
	    return iSelectedCounts;
  }

  public String toString() {
    return sSubsetNames; 
  }
  
  public double getMerit() {
	    return dMerit;
  }

  public void setMerit(double dMerit) {
		  this.dMerit = dMerit;
  }
  
  public boolean equals(Object o) {
	  if (this == o) {
	  return true;
	  }
	  if (o == null || getClass() != o.getClass()) {
	  return false;
	  }

	  final SubsetConsensual otroSubset = (SubsetConsensual) o;

	  return !(sSubsetNames != null ? !sSubsetNames.equals(otroSubset.sSubsetNames) :
		  otroSubset.sSubsetNames != null);
 }

  public int hashCode() {
	  return (sSubsetNames != null ? sSubsetNames.hashCode() : 0);
  }

  public int compareTo(Object o) {
    SubsetConsensual otroSubset = (SubsetConsensual) o;
    //podemos hacer esto porque String implementa Comparable
    return (int)((otroSubset.getSelectedCounts()- iSelectedCounts)*1000);
  }
}
